#==============================================================================
# package      DE_EPAGES::EPagesJ::API::Constants
# state        public
# description  Constants of cartridge EPagesJ
#==============================================================================
package DE_EPAGES::EPagesJ::API::Constants;
use base Exporter;

use strict;
our @EXPORT_OK = qw (
    SHOPS_RESOURCE_PATH
    SCRIPT_TAGS_RESOURCE_PATH
    MY_SCRIPT_TAGS_URL_QUERY
);

#========================================================================================
# global       SHOPS_RESOURCE_PATH | path of the REST-API ressource
#                   for shops | string
# global       SCRIPT_TAGS_RESOURCE_PATH | path of the REST-API ressource
#                   for script tags | string
# global       MY_SCRIPT_TAGS_URL_QUERY | URL query to get only script tags
#                    that have been created for a specific app | string
#========================================================================================
use constant SHOPS_RESOURCE_PATH => 'shops/';
use constant SCRIPT_TAGS_RESOURCE_PATH => '/script-tags';
use constant MY_SCRIPT_TAGS_URL_QUERY => '?myScriptTagsOnly=true';

1;
