#==============================================================================
# package      DE_EPAGES::ProductPortal::API::Constants
# state        public
#------------------------------------------------------------------------------
# description  Constants for the generic ProductPortal cartridge
#==============================================================================
package DE_EPAGES::ProductPortal::API::Constants;
use base Exporter;

use strict;

our @EXPORT_OK = qw(
    MAX_WARNING_MESSAGES
    MAXIMUM_FILE_DAYS_LIVE
    @EXPORT_FEED_FILE_ATTRIBUTES
    AMAZON
);

#========================================================================================
# global       MAX_WARNING_MESSAGES | maximum number of warning messages displaied on
#                   export to a product portal | integer
#========================================================================================
use constant MAX_WARNING_MESSAGES => 100;
use constant MAXIMUM_FILE_DAYS_LIVE => 90;

our @EXPORT_FEED_FILE_ATTRIBUTES =
    qw(
        Alias
        Name
        Description
        Class
        URI
        Text
        Keywords
        MainCharacteristics
        StockLevel
        ListPrices
        ManufacturerPrices
        AvailabilityDate
        ExpiryDate
        Manufacturer
        UPCEAN
        ManufacturerSKU
        WeightUnit
        Weight
        Length
        Height
        Width
        ShippingMethods
        DeliveryPeriod
        RefUnit
        RefAmount
        RefContentAmount
        IsBundleProduct
        SuperProduct
    );

#========================================================================================
# global       AMAZON | portal identifier for Amazon portals | string
#========================================================================================
use constant AMAZON => 'Amazon';

1;
