#========================================================================================
# package      DE_EPAGES::Object::API::XML::ObjectDeleteHandler
# state        private
#----------------------------------------------------------------------------------------
# description  This module implements a SAX2 handler to delete object type(s)
#               TrustedRating.
# example      use DE_EPAGES::TrustedRating::API::XML::TrustedRatingDeleteHandler;
#========================================================================================
package DE_EPAGES::Object::API::XML::ObjectDeleteHandler;

use strict;
use DE_EPAGES::TrustedRating::API::Table::TrustedRating qw( DeleteTrustedRating ExistsTrustedRating );

#========================================================================================
# TrustedRating
#========================================================================================
sub start_TrustedRating {
    my $self = shift;
    my ($hElement) = @_;
    my $hAttributes = $self->getAttributes( $hElement );
    return unless $hAttributes->{'delete'};
    my $Order = $self->topID('Object');
    return unless defined $Order;

    my $OrderID = $Order->id;
    DeleteTrustedRating($OrderID) if ExistsTrustedRating($OrderID);
    return;
}

1;
