package DE_EPAGES::TrustedRating::Hooks::BindingToTrustedShops;
use DE_EPAGES::Core::API::TestParameter qw ( TestObject );

use strict;


sub DeleteTrustedShopsCertificate {
    my ($hParams) = @_;
    my $TrustedShopsCertificate = $hParams->{'Object'};
    my $TsID = $TrustedShopsCertificate->alias;
    my $Shop = $TrustedShopsCertificate->get('Site');
    TestObject('TrustedShopsCertificate',$TrustedShopsCertificate,'DE_EPAGES::TrustedShops::API::Object::TrustedShopsCertificate');
    my $Languages = $TrustedShopsCertificate->get('Site')->get('Languages');
       foreach my $Language (@$Languages){
           my $LanguageID = $Language->{'LanguageID'};
           if ( defined $Shop->get('TrustedRatingID',$LanguageID) && $Shop->get('TrustedRatingID',$LanguageID) eq $TsID ){
               _RemoveTrustedRatingID( $Shop, $LanguageID );
           }
       }
    return;
}

sub _RemoveTrustedRatingID {
    my ($Shop,$LanguageID) = @_;
    $Shop->set( { 'TrustedRatingID'       => '' }, $LanguageID );
    $Shop->set( { 'TrustedRatingIsActive' => '' }, $LanguageID );
}

1;